---
title: RTCIceProtocol
slug: Web/API/RTCIceProtocol
tags:
  - API
  - Enumerated Type
  - ICE
  - Media
  - RTCIceProtocol
  - Reference
  - SDP
  - TCP
  - Type
  - UDP
  - WebRTC
  - WebRTC API
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The <a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API's</a> <code><strong>RTCIceProtocol</strong></code> enumerated type provides a set of {{domxref("DOMString")}} values representing the names of the transport protocols ICE candidates can use.</span> These strings are taken directly from the <code>candidate</code> a-line in SDP.</p>

<h2 id="Values">Values</h2>

<dl>
 <dt><code>tcp</code></dt>
 <dd>The candidate, if selected, would use {{Glossary("TCP")}} as the transport protocol for its data. The {{domxref("RTCIceCandidate.tcpType", "tcpType")}} property provides additional information about the kind of TCP candidate represented by the object.</dd>
 <dt><code>udp</code></dt>
 <dd>The candidate will use the {{Glossary("UDP")}} transport protocol for its data. This is the preferred protocol for media interactions because of its better performance profile.</dd>
</dl>

<h2 id="Usage_notes">Usage notes</h2>

<p>The <code>RTCIceProtocol</code> type is used by the {{domxref("RTCIceCandidate.protocol", "protocol")}} property of {{domxref("RTCIceCandidate")}} objects.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#rtciceprotocol', 'RTCIceProtocol')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCIceProtocol")}}</p>
</div>
